;; Copyright (c) 2009, Tony Sidaway
;; All rights reserved.
;; 
;; Redistribution and use in source and binary forms, with or without
;; modification, are permitted provided that the following
;; conditions are met:
;;
;; Redistributions of source code must retain the above copyright notice,
;; this list of conditions and the following disclaimer. 
;; Redistributions in binary form must reproduce the above copyright notice,
;; this list of conditions and the following disclaimer in the documentation
;; and/or other materials provided with the distribution. 
;; Neither the name of the author nor the names of its contributors may
;; be used to endorse or promote products derived from this software
;; without specific prior written permission. 
;; 
;; THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
;; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
;; IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
;; ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS
;; BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
;; CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
;; SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
;; INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
;; CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
;; ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
;; POSSIBILITY OF SUCH DAMAGE.
;
; This module is a container or convenience module bringing together all the modules
; required to use the Mediawiki API to read and write wiki pages.
;
(module mw
  (export mw:error raw-api-call default-method default-wiki default-headers wikipedia
          wikibooks wikiquote wikisource pipejoin sx-call make-sx-call sx-select
          sx-match-predicate sx-warnings? sx-error? sx-error-handler sx-warning-handler
          sx-warnings-strict sx-warnings-ignore page-content page-revisions page-embeddedin
          categorymembers page-backlinks user-details l-user-groups user-group?
          make-user-group-predicate
          user-accountcreator? user-abusefilter? user-autoreviewer? user-boardvote? user-bot?
          user-bureaucrat? user-checkuser? user-confirmed? user-developer? user-founder?
          user-import? user-ipblock-exempt? user-oversight? user-rollbacker? user-steward?
          user-sysop? user-transwiki? user-exists? wiki-list wiki-list->list wiki-list->vector
          page->user-list wiki-clean wiki-username remove-list-preamble wiki-heading
          write-wiki-page canonical-pagename canonical-username userspace-owner wiki-unlink
          wiki-link wiki-external wiki-category interwiki wiki-bold wiki-italics
          login logout edit watch unwatch #;(send-email))
  (import chicken scheme)
  (require-extension mw-raw mw-sxml mw-query mw-format mw-edit))
